Proteus Gigabit Ethernet Sample Project
Numato Lab
https://www.numato.com

This package contains source and other files necessary to build this project for Proteus Kintex 7 USB 3.1 Development board.

This project is created by selecting the part number of Proteus Development board instead of selecting the board itself.

This design uses JTAG UART instead of USB UART and to use this project JTAG is required.

Quickstart: Connect 4 Port Gigabit Ethernet FMC module to the FMC connector of Proteus. 
Connect ethernet cables to the ports of FMCETHX001 module, and the other ends to the ports of a Gigabit switch. 
Ethernet port of the host PC must also be connected to the Gigabit switch. 
Connect JTAG and power up Proteus.

Go to Control Panel. Select “Network and Sharing Centre” option in “Network and Internet”. Select “Change adapter settings”. 
Right click on Ethernet, click properties and select “IPv4”. Change the IPv4 address to, say 192.168.5.100, and configure gateway as 192.168.5.1. 

Make *sure* that the host PC supports 1000Mbps (1 Gbps).

In the "Bitstreams" folder, edit the batch file "download.bat" to specify the correct location of "xsct.bat" in your Vivado.
Now, double-click "download.bat" file. Observe the output displayed in the PuTTY window that pops up. 

Now, you can telnet the ports at their respective IP addresses as shown in the terminal. That is, to test port A, open a telnet session with IP Address 192.168.5.10 at port 7.

EthernetFMC Port    IP Address    Telnet Port
Port A              192.168.5.10    7
Port B              192.168.5.11    8
Port C              192.168.5.12    9
Port D              192.168.5.13    10

Using the project: Open the project(.xpr) file and Open the Block Design. Then Generate the Bitstream. After the Bitstream is generated successfully, the .bit 
file will be created in the "Proteus_Gigabit_Ethernet.runs-->impl_1" folder.

In Xilinx SDK, program the FPGA on Proteus with a simple bootloop program by selecting “Program FPGA” option from “Xilinx” menu.
Connect FMCETHX001 module and change the network connections settings as mentioned in quickstart.
Now, right click on the .elf file in the Project Explorer and select “Launch on Hardware”(NOTE: ELF file needs to be 
downloaded to Proteus via JTAG after programming .bit file). Observe the output displayed in SDK console. You can telnet the ports as described in quickstart.